# Uses of Interface
nu.validator.htmlparser.common.ByteReadable

Packages that use ByteReadable
Package
Description
nu.validator.htmlparser.extra
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.
nu.validator.htmlparser.io

## Uses of ByteReadable in nu.validator.htmlparser.extra

Constructors in nu.validator.htmlparser.extra with parameters of type ByteReadable
Modifier
Constructor
Description
``
`IcuDetectorSniffer(ByteReadable source)`

## Uses of ByteReadable in nu.validator.htmlparser.impl

Fields in nu.validator.htmlparser.impl declared as ByteReadable
Modifier and Type
Field
Description
`protected ByteReadable`
MetaScanner.`readable`
The data source.

## Uses of ByteReadable in nu.validator.htmlparser.io

Classes in nu.validator.htmlparser.io that implement ByteReadable
Modifier and Type
Class
Description
`final class`
`HtmlInputStreamReader`
Be very careful with this class.
Methods in nu.validator.htmlparser.io with parameters of type ByteReadable
Modifier and Type
Method
Description
`Encoding`
MetaSniffer.`sniff(ByteReadable readable)`
Main loop.
Constructors in nu.validator.htmlparser.io with parameters of type ByteReadable
Modifier
Constructor
Description
``
`BomSniffer(ByteReadable source)`